# Fund list

The list of all the funds within the business with summarised details.

Endpoint: GET /b/{businessCode}/fund-data/fund-list
Version: 1.0
Security: Class_oAuth

## Security:

  - `Class_oAuth` (unknown)
    oauth2 scopes: business.fund.list

## Path parameters:

  - `businessCode` (string, required)
    Class business code

## Query parameters:

  - `FundTags` (string)
    Filter the funds returned based on tags attached to the fund

  - `brandCode` (string)
    The Brand Code that the fund is grouped under.

  - `relevanceSearch` (boolean)
    Relevance Search

  - `Search` (string)
    Search terms to filter

  - `legalEntityType` (string)
    Legal Entity Type

  - `statusCode` (string)
    Status Code

  - `ABN` (string)
    Australian Business Number

## Response 200:

  - `200` (unknown)
    Success (Ok)

## Response 200 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)

  - `Errors.Message` (string)

## Response 400:

  - `400` (unknown)
    Error Message

## Response 400 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INVALID_PARAMETER

  - `Errors.Message` (string)
    Example: The BrandCode parameter is invalid

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_AUTHORISED

  - `Errors.Message` (string)
    Example: Not authorised

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: FORBIDDEN

  - `Errors.Message` (string)
    Example: You do not have permission to access this resource.

## Response 404:

  - `404` (unknown)
    Resource not available or user does not have access to the fund

## Response 404 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_NOT_FOUND

  - `Errors.Message` (string)
    Example: Resource not available or user does not have access to the fund.

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

## Response default:

  - `default` (unknown)
    Unexpected error

## Response default fields (application/json):

  - `Errors` (array)

  - `Errors.Code` (string)
    Example: API_INTERNAL_ERROR

  - `Errors.Message` (string)
    Example: An unexpected error occurred on the server. Please try again later.

